Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0054614
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Retail APImajorN/A2024-02-07 16:432024-04-10 13:37
Reporterfrank_gonzalezView Statuspublic 
Assigned Tofrank_gonzalez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0054614: Create Entity Mapping for "Related Products" tables in Business API

DescriptionAn entity mapping should be created for tables M_Product_Service and M_Product_Category_Service that represent the relationship between Products and Product Categories and Services or Contributions, respectively.
Steps To Reproducen/a
Proposed SolutionCreate an entity mapping in the Business API
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0048259 newvmromanos Retail Modules Extend Retail API with MultiUPC, Services and Complementary Products 
related to feature request 0054623 closedfrank_gonzalez POS2 Management of contributions (including Eco-Tax) 

-  Notes
(0161315)
hgbot (developer)
2024-02-27 14:04

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/236 [^]
(0162134)
hgbot (developer)
2024-03-14 10:23

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/236 [^]
(0162135)
hgbot (developer)
2024-03-14 10:39

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1172 [^]
(0163043)
hgbot (developer)
2024-04-10 13:37

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: b7cfb69f7c6d6106724a5183717a720f76095b0c
Author: Ram Prakash <ram.prakash@openbravo.com>
Date: 10-04-2024 11:37:04
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/b7cfb69f7c6d6106724a5183717a720f76095b0c [^]

Fixes ISSUE-54614: Enabled Child Property in Parent Entity to true

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0163044)
hgbot (developer)
2024-04-10 13:37

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1172 [^]
(0163045)
hgbot (developer)
2024-04-10 13:37

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: e1fb1350313eda70129456aee084c8ee31093118
Author: Ram Prakash <ram.prakash@openbravo.com>
Date: 10-04-2024 11:37:25
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/e1fb1350313eda70129456aee084c8ee31093118 [^]

Fixes ISSUE-54614: Included Related Products in the Business API

---
M examples/Openbravo API.postman_collection.json
M src-db/database/sourcedata/API_EXPORT_FILTER.xml
M src-db/database/sourcedata/API_EXPORT_FILTER_PARAM.xml
M src-db/database/sourcedata/OBEI_ENTITY_MAPPING.xml
M src-db/database/sourcedata/OBEI_PROP_MAP_INSTANCE.xml
---
(0163046)
hgbot (developer)
2024-04-10 13:37

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/236 [^]

- Issue History
Date Modified Username Field Change
2024-02-07 16:43 frank_gonzalez New Issue
2024-02-07 16:43 frank_gonzalez Assigned To => frank_gonzalez
2024-02-07 16:43 frank_gonzalez Triggers an Emergency Pack => No
2024-02-07 16:53 frank_gonzalez Relationship added related to 0048259
2024-02-08 16:14 frank_gonzalez Relationship added related to 0054623
2024-02-27 14:04 hgbot Note Added: 0161315
2024-03-14 10:23 hgbot Note Added: 0162134
2024-03-14 10:39 hgbot Note Added: 0162135
2024-04-10 13:37 hgbot Resolution open => fixed
2024-04-10 13:37 hgbot Status new => closed
2024-04-10 13:37 hgbot Fixed in Version => PR24Q3
2024-04-10 13:37 hgbot Note Added: 0163043
2024-04-10 13:37 hgbot Note Added: 0163044
2024-04-10 13:37 hgbot Note Added: 0163045
2024-04-10 13:37 hgbot Note Added: 0163046


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker